Subject: Re: net/sctp: vmalloc allocation failure in sctp_setsockopt/xt_alloc_table_info

From: Florian Westphal <[email-masked]>
Date: Mon, 28 Nov 2016 18:47:10 +0100

Neil Horman <[email-masked]> wrote:
> I'm not sure I agree with that.  Generally speaking it seems like the right
> thing to do, if you want to avoid filling logs with warnings, but this is the
> sort of error that is going to be accompanied by severe service interruption.
> I'd rather see a reason behind that in the logs, than just have it occur
> silently.

Its not silent -- the setsockopt call will fail and userspace should
display an error.

So I agree with Marcelo, lets suppress the oom spew here.